gratifiant > linux.debian.user.french

hugo (30/06/2004, 21h00)
Salut

Je suis en train de mettre à jour et d'installer de nouveaux logiciels
sur la Knoppix des gamins installée à partir du CD-live Freeduc du
Planète-Linux d'avril dernier.

1) Le sources.list

Il y avait des lignes faisant référence à stable, et d'autre à unstable, donc
j'ai fait un peu le ménage et j'ai repris celui de ma Sarge à moi (qui
roulaize), ça donne:

8<-----------8<---------8<----------8<----------8<----------8<----------8<
# specific packages for freeduc-CD
deb sarge main
deb-src sarge main

# XFREE 4.3
#deb sid/i386/
#deb-src sid/source/
#deb ./
#deb-src ./

# Mplayer stuff
deb testing main
#deb-src sarge main

deb sarge main non-free contrib
deb-src sarge main non-free contrib
deb sarge/non-US main contrib non-free
deb-src sarge/non-US main contrib non-free
deb-src sarge/non-US main contrib non-free
8<-----------8<---------8<----------8<----------8<----------8<----------8<

Cela vous semble-t-il correct ?

2) Le 'apt-get -f install' fait ch**r

Je fais donc ensuite un 'apt-get update' et je tente d'installer une baizouille
comme xsnow et ça dit:
# apt-get install xsnow
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
docbook-xml: Dépend: sgml-base (>= 1.17) mais ne sera pas installé
gnome-utils: Dépend: scrollkeeper mais ne sera pas installé
sgml-data: Dépend: sgml-base (>= 1.11) mais ne sera pas installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

Pour chaque package (comme aterm ou lio, ou gdm) que je tente d'installé, je me
fait jeter

Si je tente un 'apt-get -f install', j'ai une térachiée de lignes qui racontent
(entre autre):
dpkg : avertissement important : le fichier contenant la liste des fichiers du
paquet « libsdl-ttf2.0-0 » étant manquant, il est considéré qu'aucun fichier du
paquet n'est actuellement installé.
[...]
dpkg : avertissement important : le fichier contenant la liste des fichiers du
paquet « saveconfig-knoppix » étant manquant, il est considéré qu'aucun fichier
du paquet n'est actuellement installé.
[...]
Dépaquetage de e2fslibs (à partir de .../e2fslibs_1.35-6_i386.deb) ...
dpkg : erreur de traitement de /var/cache/apt/archives/e2fslibs_1.35-6_i386.deb (--unpack) :
impossible de créer le fichier contenant la liste mise à jour des fichiers du paquet
e2fslibs: Aucun fichier ou répertoire de ce type
Préparation du remplacement de zlib1g 1:1.1.4-11 (en utilisant .../zlib1g_1%3a1.2.1.1-3_i386.deb) ...
Dépaquetage de la mise à jour de zlib1g ...
dpkg : erreur de traitement de /var/cache/apt/archives/zlib1g_1%3a1.2.1.1-3_i386.deb (--unpack) :
impossible de créer le fichier contenant la liste mise à jour des fichiers du paquet
zlib1g: Aucun fichier ou répertoire de ce type
Dépaquetage de sgml-base (à partir de .../sgml-base_1.22_all.deb) ...
dpkg : erreur de traitement de /var/cache/apt/archives/sgml-base_1.22_all.deb (--unpack) :
impossible de créer le fichier contenant la liste mise à jour des fichiers du paquet sgml-base:
Aucun fichier ou répertoire de ce type
Dépaquetage de xml-core (à partir de .../archives/xml-core_0.09_all.deb) ...
[...]

Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/e2fslibs_1.35-6_i386.deb
/var/cache/apt/archives/zlib1g_1%3a1.2.1.1-3_i386.deb
/var/cache/apt/archives/sgml-base_1.22_all.deb
/var/cache/apt/archives/xml-core_0.09_all.deb
/var/cache/apt/archives/sgml-data_2.0.2_all.deb
/var/cache/apt/archives/docbook-xml_4.3-1_all.deb
/var/cache/apt/archives/libxml2_2.6.10-3_i386.deb
/var/cache/apt/archives/libxslt1_1.1.7-1_i386.deb
/var/cache/apt/archives/libxslt1.1_1.1.7-1_i386.deb
/var/cache/apt/archives/libscrollkeeper0_0.3.14-8_i386.deb
/var/cache/apt/archives/scrollkeeper_0.3.14-8_i386.deb
localepurge: Disk space freed in /usr/share/locale: 52K
E: Sub-process /usr/bin/dpkg returned an error code (1)

Bref comment réparer (proprement cette fois) ma base de packages.
La dernière fois, sur ma Sarge, j'y avais été à la barbare et il semble que
tout le monde (surtout les gurus :) trouvait que j'avais fait ça comme un
gôret.

Bises à tous (surtout aux filles (on peut rèver non ? :))
Mezig (02/07/2004, 17h00)
hugo wrote:

[..]
>tout le monde (surtout les gurus :) trouvait que j'avais fait ça comme un
>gôret.
>Bises à tous (surtout aux filles (on peut rèver non ? :)) Pour les filles, tu te débrouilles... :)!


Par contre pour ce qui concerne le passage de la Knoppix de son CD à un
résidente, j'ai aussi eut 1 certain nombre de problèmes et ai rapidement
fait un upgrade en sid, puis de plus en plus sarge :) !

La Knoppix 3.2, après 1 certain temps, m'a quand-même fait 1 PB de
DCOPserver, jamais résolu... :( !

Reste que pour mon premier sources.list, je suis passé directement à la
sid et ai laissé tomber la Knoppix..., sur les recommandations de
membres de la liste ; la K, est géniale pour la reconnaisance des
périphériques, mais a où avait 1 PB de loopback, je crois entre
autre.... :) !

La freedux - la version éducative - de/pour initier à Linux, ne
risquerai t'elle pas d'avoir le même PB ? Je me pose au moins la
question ... et la pose à la liste, aussi :)!

Si j'ai pu aider

Mi
Discussions similaires